Skip to main content
GET
/
api
/
v1
/
businesses
/
{businessId}
/
contacts
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "Jane",
      "lastName": "Doe",
      "name": "Jane Doe",
      "email": "jane@example.com",
      "phone": "+14155551234",
      "company": "Acme Inc",
      "website": "https://acme.com",
      "address": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "zipCode": "<string>",
      "ianaTimezone": "America/New_York",
      "source": "<string>",
      "note": "<string>",
      "emailDND": true,
      "smsDND": true,
      "callDND": true,
      "whatsappDND": true,
      "secondaryEmails": [
        "jsmith@example.com"
      ],
      "secondaryPhones": [
        "<string>"
      ],
      "isTestContact": true,
      "tags": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "VIP",
          "displayOrder": 123,
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key prefixed with sk-ak-. Pass as Authorization: Bearer sk-ak-...

Path Parameters

businessId
string<uuid>
required

The business ID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Full-text search across name, email, phone

Maximum string length: 255
email
string<email>

Filter by exact email

phone
string

Filter by exact phone

tag
string

Filter by tag name

sort
enum<string>
default:-createdAt
Available options:
createdAt,
-createdAt,
updatedAt,
-updatedAt,
name,
-name
include
string

Comma-separated relations to include (e.g. "tags")

Response

Paginated list of contacts

data
object[]
pagination
object